-- local SAN_QING_LING = 4
-- local XIANG_LONG_CHI = 1
-- local JING_SHUI_RU_YI = 2
-- local XUAN_HUO_JIAN = 5
-- local HOU_TU_ZHONG = 3

local ATTR_TYPE_ADD_LIFE = 1			-- Max HP
local ATTR_TYPE_PHY_ATK = 2		-- P-Attack
local ATTR_TYPE_MAGIC_ATK = 4			-- M-Attack
local ATTR_TYPE_PHY_DEF = 3		-- P-Defense
local ATTR_TYPE_MAGIC_DEF = 5		-- M-Defense
local ATTR_TPPE_FIMAL_PHY_ATK = 6	-- +Final P-Attack
local ATTR_TYPE_FINAL_PHY_DEF = 7	-- -Final P-Damage
local ATTR_TYPE_FINAL_MAGIC = 8			-- +Final M-Attack
local ATTR_TYPE_FINAL_MAIGC_DEF = 9		-- -Final M-Damage
local ATTR_TYPE_PHY_CRIT = 10		-- P-Strike
local ATTR_TYPE_MAGIC_CRIT = 11			-- M-Strike
local ATTR_TYPE_CRUSH_ATK = 13			-- Break
local ATTR_TYPE_HARD_DEF = 14			-- Anti-break
local ATTR_TYPE_DEF_CRIT = 12			-- Immunity
local ATTR_TYPE_LUCK_ASYLUM = 15		-- Parry(յLucky Strikeļ)
local ATTR_TYPE_LUCK_HIT = 16			    -- Lucky Strike(ԭLucky Strikeʵ)
local ATTR_TYPE_MAGIC_CRIT_HEART = 17		        -- һʴM-StrikeЧ(Core Strike)
local ATTR_TYPE_MAGIC_PUNCTURE = 18        -- һ,ⷨЧ(ᴩ)
local ATTR_TYPE_HIT_RECOVER_LIFE_MANA = 19	-- Draining Touch
local ATTR_TYPE_BEHIT_RECOVER_LIFE_MANA = 20-- Blood Spawn
local ATTR_TYPE_HIT_TRIGGER_XP = 21			-- Killing Flash
local ATTR_TYPE_BEHIT_TRIGGER_XP = 22		-- Mirror of Sin

local ATTR_TYPE_ADD_MAX_MANA = 23		-- Max MP

local WordsInfo = {
    [1] = {
        ["Name"] = "Rhythm",
    },
    [2] = {
        ["Name"] = "Destroyer",
    },
    [3] = {
        ["Name"] = "Heartbite",
    },
    [4] = {
        ["Name"] = "Fender",
    },
    [5] = {
        ["Name"] = "Solidity",
    },
    [6] = {
        ["Name"] = "Sharpness",
    },
    [7] = {
        ["Name"] = "Blunt",
    },
    [8] = {
        ["Name"] = "Heartseeker",
    },
    [9] = {
        ["Name"] = "Evolution",
    },
    [10] = {
        ["Name"] = "Thorn Ripping",
    },
    [11] = {
        ["Name"] = "Heart Afire",
    },
    [12] = {
        ["Name"] = "Batter",
    },
    [13] = {
        ["Name"] = "Tenacity",
    },
    [14] = {
        ["Name"] = "Fortitude",
    },

    --ǷޣõʱҪע⣬޵idǲ4213-4513
    [15] = {
        ["Name"] = "Source",
    },

    --ʼһ
    [4613] = {
        ["Name"] = "Mojo",
    },
    [4713] = {
        ["Name"] = "Omen",
    },
    [4813] = {
        ["Name"] = "Mind Blast",
    },
    [4913]={["Name"]="Surge",},
		[5013]={["Name"]="Kiai",},
[5113]={["Name"]="Erode",},
[5213]={["Name"]="Evil Away",},
[5313]={["Name"]="Strive",},
[5413]={["Name"]="Gravel",},
[5513]={["Name"]="Soul Keeper",},
[5613]={["Name"]="Sunbeam",},
[5713]={["Name"]="Full Moon",},
[5813]={["Name"]="Resolution",},
[5913]={["Name"]="Athanasy",},
[6013]={["Name"]="Twin",},
[6113]={["Name"]="Edge",},
[6213]={["Name"]="Tiger Leap",},
[6313]={["Name"]="Landslide",},
[6413]={["Name"]="Protection",},
[6513]={["Name"]="Rock Armor",},
[6613]={["Name"]="Solid Mask",},
[6713]={["Name"]="Boulder",},
[6813]={["Name"]="Soul Slaughter",},
[6913]={["Name"]="Demon Reaper",},
[7013]={["Name"]="Perishment",},
[7113]={["Name"]="Will Hurricane",},
[7213]={["Name"]="Will Space",},
[7313]={["Name"]="Will Watch",},
[7413]={["Name"]="Will Wall",},
[7513]={["Name"]="Penetration",},
[7613]={["Name"]="Buckler",},

}

--
local WordsDetail = {
    [ATTR_TYPE_ADD_LIFE] = "Max HP",
    [ATTR_TYPE_PHY_ATK] = "P-Attack",
    [ATTR_TYPE_MAGIC_ATK] = "M-Attack",
    [ATTR_TYPE_PHY_DEF] = "P-Defense",
    [ATTR_TYPE_MAGIC_DEF] = "M-Defense",
    [ATTR_TPPE_FIMAL_PHY_ATK] = "Final P-ATK",
    [ATTR_TYPE_FINAL_PHY_DEF] = "Final P-DMG",
    [ATTR_TYPE_FINAL_MAGIC] = "Final M-ATK",
    [ATTR_TYPE_FINAL_MAIGC_DEF] = "Final M-DMG",
    --Щֱȵ
    [ATTR_TYPE_PHY_CRIT] = "P-Strike",
    [ATTR_TYPE_MAGIC_CRIT] = "M-Strike",
    [ATTR_TYPE_CRUSH_ATK] = "Break",
    [ATTR_TYPE_HARD_DEF] = "Anti-break",
    [ATTR_TYPE_DEF_CRIT] = "Immunity",
    [ATTR_TYPE_LUCK_ASYLUM] = "Parry",
    [ATTR_TYPE_LUCK_HIT] = "Lucky Strike",
    
    [ATTR_TYPE_MAGIC_CRIT_HEART] = "Core Strike",
    [ATTR_TYPE_MAGIC_PUNCTURE] = "Invisible Arrow",
    [ATTR_TYPE_HIT_RECOVER_LIFE_MANA] = "Draining Touch",
    [ATTR_TYPE_BEHIT_RECOVER_LIFE_MANA] = "Blood Spawn",
    [ATTR_TYPE_HIT_TRIGGER_XP] = "Killing Flash",
    [ATTR_TYPE_BEHIT_TRIGGER_XP] = "Mirror of Sin",
    [ATTR_TYPE_ADD_MAX_MANA] = "Max MP",
}

--߲
local WordsTypeName = {
    [ATTR_TYPE_ADD_LIFE] = "Rhythm",
    [ATTR_TYPE_PHY_ATK] = "Destroyer",
    [ATTR_TYPE_MAGIC_ATK] = "Heartbite",
    [ATTR_TYPE_PHY_DEF] = "Fender",
    [ATTR_TYPE_MAGIC_DEF] = "Solidity",
    [ATTR_TPPE_FIMAL_PHY_ATK] = "Sharpness",
    [ATTR_TYPE_FINAL_PHY_DEF] = "Blunt",
    [ATTR_TYPE_FINAL_MAGIC] = "Heartseeker",
    [ATTR_TYPE_FINAL_MAIGC_DEF] = "Evolution",
    --Щֱȵ
    [ATTR_TYPE_PHY_CRIT] = "Thorn Ripping",
    [ATTR_TYPE_MAGIC_CRIT] = "Heart Afire",
    [ATTR_TYPE_CRUSH_ATK] = "Batter",
    [ATTR_TYPE_HARD_DEF] = "Tenacity",
    [ATTR_TYPE_DEF_CRIT] = "Fortitude",
    [ATTR_TYPE_LUCK_ASYLUM] = "Parry",
    [ATTR_TYPE_LUCK_HIT] = "Lucky Strike",
    
    [ATTR_TYPE_MAGIC_CRIT_HEART] = "Core Strike",
    [ATTR_TYPE_MAGIC_PUNCTURE] = "Invisible Arrow",
    [ATTR_TYPE_HIT_RECOVER_LIFE_MANA] = "Draining Touch",
    [ATTR_TYPE_BEHIT_RECOVER_LIFE_MANA] = "Blood Spawn",
    [ATTR_TYPE_HIT_TRIGGER_XP] = "Killing Flash",
    [ATTR_TYPE_BEHIT_TRIGGER_XP] = "Mirror of Sin",
    [ATTR_TYPE_ADD_MAX_MANA] = "Max MP",
}

local WordsShowInfo = {
    --ʾ˳,idӦWordsInfo
[1]=113,
[2]=213,
[3]=313,
[4]=413,
[5]=513,
[6]=613,
[7]=713,
[8]=813,
[9]=913,
[10]=1013,
[11]=1113,
[12]=1213,
[13]=1313,
[14]=1413,
[15]=1513,
[16]=1613,
[17]=1713,
[18]=1813,
[19]=1913,
[20]=2013,
[21]=2113,
[22]=2213,
[23]=2313,
[24]=2413,
[25]=2513,
[26]=2613,
[27]=2713,
[28]=2813,
[29]=2913,
[30]=3013,
[31]=3113,
[32]=3213,
[33]=3313,
[34]=3413,
[35]=3513,
[36]=3613,
[37]=3713,
[38]=3813,
[39]=3913,
[40]=4013,
[41]=4113,
[42]=4213,
[43]=4313,
[44]=4413,
[45]=4513,
[46]=4613,
[47]=4713,
[48]=4813,
[49]=4913,
[50]=5013,
[51]=5113,
[52]=5213,
[53]=5313,
[54]=5413,
[55]=5513,
[56]=5613,
[57]=5713,
[58]=5813,
[59]=5913,
[60]=6013,
[61]=6113,
[62]=6213,
[63]=6313,
[64]=6413,
[65]=6513,
[66]=6613,
[67]=6713,
[68]=6813,
[69]=6913,
[70]=7013,
[71]=7113,
[72]=7213,
[73]=7313,
[74]=7413,
[75]=7513,
[76]=7613,
}
local DlgInfo = {
    --ɫ
    ["WordColor"] = 0xff000000,
    --м
    ["Col"] = 3,
    --ѡе
    ["Sel"] = "5xdaoqi_xzk",
    --δɰ
    ["Lock"] = "5xdaoqi_ctbg8",
    --ͼƬڵϵ
    ["LockImg"] = "5xdaoqi_ctlock",
    --ű
    ["WordsRate"] = 0.7,
    --BagBg,еĵͼ
    ["BagBg"] = "5xdaoqi_ctbg9",
    --浱ǰװûʱĵͼ
    ["Empty"] = "5xdaoqi_citiao1_blank",
    --ûĵͼ,ԲԲǸ
    ["EmptySmall"] = "blank",
    --սװûĵͼ,ԲԲǸ
    ["EmptySmall2"] = "5xdaoqi_BG17",
    --ԲԲ
    ["EquipMask"] = "blank",
    --װ񱳰ʽ
    ["HasEquip"] = "5xdaoqi_wzsyz",
    --δʶ
    ["NoActive"] = "5xdaoqi_wzwjh",
    --ѡбĵ׿
    ["SelWeaponBg"] = "5xdaoqi_ctdpbg3",
    --ֵͼƬ
    ["Mask"] = "5xdaoqi_ctbg8",
    --һʾĿ
    ["WordWidth"] = 128,
    --Mastery Pointľȣܾȷλ
    ["PercentLev"] = 10000,
    --ȼ
    ["MaxLev"] = 10,
    --Ԥȼ
    ["ShowLev"] = 30,
    --Tipsƫ
    ["TipsOffsetX"] = 66,
    ["TipsOffsetY"] = 66,
	
	 --
    ["SetDlgEmpty"] = "blank",
    --Ӻ
    ["SetDlgAdd"] = "blank",
    --ͼƬ
    ["SetDlgRate"] = 0.7,
	
--ָܹЧ
----------------------------------------------------------------------------

--ע⣺ͨGuideStrOffsetX1ƶGuideBGOffsetX1ͼֵλ
--ע⣺GuideBtn1ܿԲãõĻʾǰҳ
  --ֵĿȺ͸߶
    ["GuideWidth"] = 256,
    ["GuideHeight"] = 32,
    --
    ["GuideImg1"] = "5xdaoqi_BG10",
    ["GuideBGOffsetX1"] = 46,
    ["GuideBGOffsetY1"] = 11,
    ["GuideStr1"] = "Click to change Black Jade.",
    ["GuideStrOffsetX1"] = -25,
    ["GuideStrOffsetY1"] = -33,
    ["GuideBtn1"] = "5xdaoqi_xldapeibtn",
    ["GuideBtnOffsetX1"] = -1,
    ["GuideBtnOffsetY1"] = 1,
    
    --齱
    ["GuideImg2"] = "5xdaoqi_BG12",
    ["GuideBGOffsetX2"] = 102,
    ["GuideBGOffsetY2"] = 29,
    ["GuideStr2"] = "Click to draw for a random\n number of Black Jades.",
    ["GuideStrOffsetX2"] = -64,
    ["GuideStrOffsetY2"] = -47,
    ["GuideBtn2"] = "5xdaoqi_ctctcj1Btn",
    ["GuideBtnOffsetX2"] = -1,
    ["GuideBtnOffsetY2"] = 1,
    --ʮ
    ["GuideImg3"] = "5xdaoqi_ctbg5",
    ["GuideBGOffsetX3"] = 87,
    ["GuideBGOffsetY3"] = 30,
    ["GuideStr3"] = "<color=0xfffff99d>Click to draw for 10 times.</color>",
    ["GuideStrOffsetX3"] = 3,
    ["GuideStrOffsetY3"] = -56,
    ["GuideBtn3"] = "5xdaoqi_ctslcjBtn",
    ["GuideBtnOffsetX3"] = -58,
    ["GuideBtnOffsetY3"] = -2,
    --رճ齱
    ["GuideImg4"] = "5xdaoqi_ctbg5",
    ["GuideBGOffsetX4"] = 127,
    ["GuideBGOffsetY4"] = 30,
    ["GuideStr4"] = "<color=0xfffff99d>Close.</color>",
    ["GuideStrOffsetX4"] = 2,
    ["GuideStrOffsetY4"] = -50,
    --رճ齱
    ["GuideImg5"] = "5xdaoqi_ctbg5",
    ["GuideBGOffsetX5"] = 88,
    ["GuideBGOffsetY5"] = 36,
    ["GuideStr5"] = "<color=0xfffff99d>Stop draw to equip Black Jade.</color>",
    ["GuideStrOffsetX5"] = -55,
    ["GuideStrOffsetY5"] = -36,
    ["GuideBtn5"] = "5xdaoqi_Close1Btn",
    ["GuideBtnOffsetX5"] = -1,
    ["GuideBtnOffsetY5"] = 1,
    --һ
    ["GuideImg6"] = "5xdaoqi_BG11",
    ["GuideBGOffsetX6"] = 104,
    ["GuideBGOffsetY6"] = 25,
    ["GuideStr6"] = "Right click to equip Black Jade.\nLeft click to pick up Black Jade.",
    ["GuideStrOffsetX6"] = 34,
    ["GuideStrOffsetY6"] = -58,
    --ÿԵ
    ["RectWidth"] = 187,
    ["RectHeight"] = 80,

    --װһ
    ["GuideImg7"] = "5xdaoqi_BG12",
    ["GuideBGOffsetX7"] = 126,
    ["GuideBGOffsetY7"] = 29,
    ["GuideStr7"] = "Left click to equip Black Jade.",
    ["GuideStrOffsetX7"] = 14,
    ["GuideStrOffsetY7"] = -41,
    --ر񱳰
    ["GuideImg8"] = "5xdaoqi_BG10",
    ["GuideBGOffsetX8"] = 61,
    ["GuideBGOffsetY8"] = 10,
    ["GuideStr8"] = "Close.",
    ["GuideStrOffsetX8"] = 0,
    ["GuideStrOffsetY8"] = -30,
    --Mastery Pointť
    ["GuideImg9"] = "5xdaoqi_BG11",
    ["GuideBGOffsetX9"] = 85,
    ["GuideBGOffsetY9"] = 30,
    ["GuideStr9"] = "Increase Mastery Points \nto improve the score of \nTaoist Toolson the rankings.",
    ["GuideStrOffsetX9"] = -83,
    ["GuideStrOffsetY9"] = -169,
    ["GuideBtn9"] = "5xdaoqi_tishengBtn",
    ["GuideBtnOffsetX9"] = 0,
    ["GuideBtnOffsetY9"] = 0,
    --MAXť
    ["GuideImg10"] = "5xdaoqi_BG12",
    ["GuideBGOffsetX10"] = 126,
    ["GuideBGOffsetY10"] = 29,
    ["GuideStr10"] = "Input all Mastery Points.",
    ["GuideStrOffsetX10"] = -50,
    ["GuideStrOffsetY10"] = -42,
    --ȷϰť
    ["GuideImg11"] = "5xdaoqi_BG12",
    ["GuideBGOffsetX11"] = 106,
    ["GuideBGOffsetY11"] = 24,
    ["GuideStr11"] = "Click to Confirm to increase Mastery Points.",
    ["GuideStrOffsetX11"] = -25,
    ["GuideStrOffsetY11"] = -48,
    
    --һʮضõIdĳһ
    ["FirtsWords"] = 113,
--齱
----------------------------------------------------------------------------
  --ȼЧ Բ
    ["WordsLevEff0"] = "blank",--
    ["WordsLevEff1"] = "5xdaoqi34",--еȼ
    ["WordsLevEff2"] = "5xdaoqi36",--߼
    ["WordsLevEff3"] = "5xdaoqi35",--߼

    --齱ıͼƬ
    ["LuckResultBg"] = "blank",

    --Mastery PointͼƬ
    -- ["RepairImg"] = "5xdaoqi_jingxiuzhipic2",
	["HasImg"] = "5xdaoqi_pic8",
    --ֵĿ
    ["WordAttrWidth"] = 150,

    --񵥳ʱ
    --ťλ
    ["BtnOkX"] = 346,
    ["BtnOkY"] = 460,
    ["BtnOkW"] = 97,
    ["BtnOkH"] = 27,
    ["BtnOkAni"] = "JiuGong_newredBtn",
    ["ResultBg"] = "5xdaoqi_ctbg3",
	["ResultBgOffsetX"] = 40,
    ["ResultBgOffsetY"] = 60,
    --ظʾλ
    ["RepeatedTipX"] = 363,
    ["RepeatedTipY"] = 365,
    ["RepeatedTipW"] = 262,
    ["RepeatedTipH"] = 24,

    --Ļ
    --Taoist Reiki
    ["OnlyDrawGas"] = 1500,
    --ʯ
    ["OnlyDrawEmoney"] = 100,
    --
    ["OnlyDrawMoney"] = 10498500,
    --ʮĻ
    ["TenDrawGas"] = 13500,
    --ʯ
    ["TenDrawEmoney"] = 900,
    --
    ["TenDrawMoney"] = 94486500,

  --ʮʱ
    --ťλ
    ["BtnOkX1"] = 300,
    ["BtnOkY1"] = 610,
    ["BtnOkW1"] = 97,
    ["BtnOkH1"] = 27,
    ["BtnOkAni1"] = "JiuGong_newredBtn",
    ["ResultBg1"] = "5xdaoqi_BG13",
    ["ResultBgOffsetX1"] = -119,
    ["ResultBgOffsetY1"] = -10,
	--ʮ񱳾ͼ
    ["LuckResultTenBg"] = "blank",
    --ظʾλ
    ["RepeatedTipX1"] = 283,
    ["RepeatedTipY1"] = 345,
    ["RepeatedTipW1"] = 262,
    ["RepeatedTipH1"] = 24,


    --ĹЧ
    ["OnlyBeginEff"] = "5xdaoqi30",
    ["OnlyBeginEffX"] = 500,
    ["OnlyBeginEffY"] = 400,

    --ʮĹЧ
    ["TenBeginEff"] = "5xdaoqi31",
    ["TenBeginEffX"] = 500,
    ["TenBeginEffY"] = 400,
    --ʮĹЧ
    ["TenShowEff"] = "5xdaoqi32",
    ["TenShowEffX"] = 500,
    ["TenShowEffY"] = 400,
    --ʮıЧ
    ["TenTitleEff"] = "5xdaoqi33",
    ["TenTitleEffX"] = 570,
    ["TenTitleEffY"] = 436,
	
	["GuideBtnEff1"] = "5xdaoqi25",
    ["GuideBtnEffX1"] = 31,
    ["GuideBtnEffY1"] = 38,
    ["ChangeBtnEff"] = "5xdaoqi25",
	
	--ͼƬ̫ˣе㿴
	["CurWordsAdd"] = "5xdaoqi_BG16",
	["BagAdd"] = "5xdaoqi_BG16",
}


--Ϣ
local WeaponInfo = {
    [1] = {
        ["Id"] = 1301,
        ["Name"] = "Vicissitude",
        ["Ani"] = "dqui_mulv1",
    },
    [2] = {
        ["Id"] = 1302,
        ["Name"] = "Highest Good",
        ["Ani"] = "dqui_shuilv1",
    },
    [3] = {
        ["Id"] = 1303,
        ["Name"] = "Evolution",
        ["Ani"] = "dqui_tulv1",
    },
    [4] = {
        ["Id"] = 1304,
        ["Name"] = "Thrill",
        --ĹЧ
        ["Ani"] = "dqui_jinlv1",
    },
    [5] = {
        ["Id"] = 1305,
        ["Name"] = "Birth-death",
        ["Ani"] = "dqui_huolv1",
    },
}


local UnlockInfo = {
    [1] = 10,
    [2] = 25,
    [3] = 35,
    [4] = 50,
    [5] = 60,
}

local function GetUnlockNum(nLev)
    for i = 5, 1,-1 do
        if nLev >= UnlockInfo[i] then
           return i
        end
    end

    return 0
end

local function GetUnlockLev(UnlockNum)
    return UnlockInfo[UnlockNum]
end

local function GetDlgInfo(Value)
    if Value == "Num" then
        return math.ceil(#WordsShowInfo)
    end

    return DlgInfo[Value]
end

--ͻ˴0ʼ
local function GetWordIdByIndex(Index)
    return WordsShowInfo[Index + 1]
end

--IdȥƴԴ
local function GetWordsAni(nId)
    local strName = "qitiao"..math.ceil(nId)
    return strName
end

--
local function GetWordsTypeName(nId)
    if nId >  4513 then
        if WordsInfo[nId]~= nil then
            return WordsInfo[nId]["Name"]
        end

    else
        local nRealId = math.floor(nId / 100)

        if nRealId == 0 then
            return ""
        end

        local nlev = ((nRealId - 1) % 3) 
        local nWordsType = math.floor((nRealId - 1) / 3) + 1
        local strValue = WordsInfo[nWordsType]["Name"]
        if nlev == 0 then
            strValue = strValue.."(Gre.)"
        elseif nlev == 1 then
            strValue = strValue.."(Pur.)"
        else
            strValue = strValue.."(Ora.)"
        end
    
        return strValue
    end
end

local function GetValueType(nAttrType)
    if nAttrType >= ATTR_TYPE_PHY_CRIT and nAttrType <= ATTR_TYPE_LUCK_HIT then
        return 2
    else
        return 1
    end
end

local function GetAttrStr(nAttrType, nAttrValue)

    local nValueType = GetValueType(nAttrType)
    --
    if nValueType == 1 then
        -- return WordsDetail[nAttrType].."+"..math.ceil(nAttrValue)
		if nAttrType >= ATTR_TYPE_MAGIC_CRIT_HEART and nAttrType <= ATTR_TYPE_BEHIT_TRIGGER_XP then
			return WordsDetail[nAttrType].."+"..math.ceil(nAttrValue)..""
		end
		
		return WordsDetail[nAttrType].."+"..math.ceil(nAttrValue)

		
    else
        return WordsDetail[nAttrType].."+"..string.format("%.1f", nAttrValue/100) .. "%"
    end
end

--,ע51135113Сȼ
-- 5113ֻһȼ߼,Ժб䶯ע޸
local function GetWordsTitle(nAttr1, nValue1, nAttr2, nValue2)
    local str = ""
    if nAttr1 ~= 0 then
        str = GetAttrStr(nAttr1, nValue1)
    end

    if nAttr2 ~= 0 and nAttr2 ~= nil then
        local str1 = GetAttrStr(nAttr2, nValue2)
        str = str.."\n"..str1
    end
    
    return str
end

--
local function GetWordsDetail(nType, nValue)

    if nType < ATTR_TYPE_ADD_LIFE or nType > ATTR_TYPE_DEF_CRIT then
        return ""
    end

    local str = GetWordsTitle(nType, nValue)
    return str
end

local function GetShowIndexById(nId, nShowType)
    local nIndex = math.floor(nId / 100) - 1
    if nShowType == 4 then
        return nIndex
    elseif nShowType == 3 then
        if nIndex < 45 then
            return 0
        else
            return nIndex - 45
        end
    else
        if nIndex < 45 then
            return math.floor(nIndex / 3)
        else 
            return 0
        end
    end
    return 0
end

--ͻ˴0ʼLua1ʼ
local function GetWeaponInfo(nIndex, nType)
    return WeaponInfo[nIndex + 1][nType]
end

--ͨidȡ
local function GetWeaponIndexById(nId)
    for i,v in pairs(WeaponInfo) do
        if v["Id"] == nId then
            return i - 1
        end
    end

    return 0
end

--ͻ˴0ʼLua1ʼ
local function GetSelWeaponNameLev(nIndex, nLev)
    return "<color=0xffff000000>"..WeaponInfo[nIndex + 1]["Name"].." Lv."..math.ceil(nLev).."</color>"
end

local function GetLuckDrawInfo(type, bTen)
    if bTen == true then
        local Index = type.."1"
        return DlgInfo[Index]
    else
        return DlgInfo[type]
    end
end

local function Unload()
    WordsInfo = nil
    WordsShowInfo = nil
    DlgInfo = nil
    WeaponInfo = nil
end

local DaoistWords = {
    GetDlgInfo = GetDlgInfo,
    GetWordIdByIndex = GetWordIdByIndex,
    GetShowIndexById = GetShowIndexById,
    GetWeaponInfo = GetWeaponInfo,
    GetSelWeaponNameLev = GetSelWeaponNameLev,
    GetWeaponIndexById = GetWeaponIndexById,
    GetLuckDrawInfo = GetLuckDrawInfo,
    GetWordsTitle = GetWordsTitle,
    GetWordsDetail = GetWordsDetail,
    GetWordsAni = GetWordsAni,
    GetUnlockNum = GetUnlockNum,
    GetUnlockLev = GetUnlockLev,
    GetWordsTypeName = GetWordsTypeName,
    Unload = Unload,
}

DaoistWords_GetDlgInfo = DaoistWords.GetDlgInfo
DaoistWords_GetWordIdByIndex = DaoistWords.GetWordIdByIndex
DaoistWords_GetShowIndexById = DaoistWords.GetShowIndexById
DaoistWords_GetWeaponInfo = DaoistWords.GetWeaponInfo
DaoistWords_GetSelWeaponNameLev = DaoistWords.GetSelWeaponNameLev
DaoistWords_GetWeaponIndexById = DaoistWords.GetWeaponIndexById
DaoistWords_GetLuckDrawInfo = DaoistWords.GetLuckDrawInfo
DaoistWords_GetWordsTitle = DaoistWords.GetWordsTitle
DaoistWords_GetWordsDetail = DaoistWords.GetWordsDetail
DaoistWords_GetWordsAni = DaoistWords.GetWordsAni
DaoistWords_GetUnlockNum = DaoistWords.GetUnlockNum
DaoistWords_GetUnlockLev = DaoistWords.GetUnlockLev
DaoistWords_GetWordsTypeName = DaoistWords.GetWordsTypeName
DaoistWords_Unload = DaoistWords.Unload
GetUnlockNum(50)
return DaoistWords