local PROFSORT_SOLDIER	=2--սʿ
local PROFSORT_ARCHER	=4--
local PROFSORT_DAOISTWATER =13--ˮʿ
local PROFSORT_DAOISTFIRE =14--ʿ

local DlgInfo = {
    [PROFSORT_SOLDIER] = {
        ["3Dmodel"] = {
            ["DummyOffsetX"] = 730,
            ["DummyOffsetY"] = 400,
            ["DummyScale"] = 300,
            ["MountRotate"] = -50,
        },
        ["RankBtn"] = {
            ["AniSection"] = "NingfaTie_AnNiuBtn",
            ["NormalType"] = 19,
            ["SelectedType"] = 10,
        },
        ["RankList"] = {
            ["Icon1"] = "NingfaTie_FirstPic",
            ["Icon2"] = "NingfaTie_SecondPic",
            ["Icon3"] = "NingfaTie_ThirdPic",
            ["Bg1"] = "NingfaTie_FirstBG",
            ["Bg2"] = "NingfaTie_SecondBG",
            ["Bg3"] = "NingfaTie_ThirdBG",
        },
	    ["EquipShow"] = {
	    	["Control"] = "1-1-1-1-1-1-0-1-1-0",
	    },
	
	    ["RankLimit"] = {
	    	["CountNum"] = 10,
	    	["Total"] = 1,--ܰϰưťʾ
	    	["Single"] = 10,--ְϰưťʾ
	    },
	    ["GuideEffect"] = {
	    	["Title"] = "Ren_YinDao",--Ч
        },
    },
    [PROFSORT_ARCHER] = {
        ["3Dmodel"] = {
            ["DummyOffsetX"] = 235,
            ["DummyOffsetY"] = 323,
            ["DummyScale"] = 200,
            ["MountRotate"] = -50,
        },
	    ["EquipShow"] = {
	    	["Control"] = "1-1-1-1-1-1-0-0-1-0-1-1-1-1-1-1-1",
	    },
	
	    ["RankLimit"] = {
	    	["CountNum"] = 10,
	    	["Total"] = 1,--ܰϰưťʾ
	    	["Single"] = 10,--ְϰưťʾ
	    },
	    ["GuideEffect"] = {
	    	["Title"] = "Ren_YinDao",--Ч
        },
    },
    --ˮʿ
    [PROFSORT_DAOISTWATER] = {
        ["3Dmodel"] = {
            ["DummyOffsetX"] = 775,
            ["DummyOffsetY"] = 428,
            ["DummyScale"] = 200,
            ["MountRotate"] = -50,
        },
	    ["EquipShow"] = {
            ["Control"] = "1-1-1-1-1-1-0-0-1-0-1-1-1-1-1-1-1",
	    },
	    ["RankLimit"] = {
            ["CountNum"] = 10,
            ["Total"] = 10000,--ܰϰưťʾ
            ["Single"] = 10000,--ְϰưťʾ
	    },
	    ["GuideEffect"] = {
            ["Title"] = "Ren_YinDao",--Ч
        },
    },
    --ʿ
    [PROFSORT_DAOISTFIRE] = {
        ["3Dmodel"] = {
            ["DummyOffsetX"] = 775,
            ["DummyOffsetY"] = 428,
            ["DummyScale"] = 200,
            ["MountRotate"] = -50,
        },
        ["EquipShow"] = {
            ["Control"] = "1-1-1-1-1-1-0-0-1-0-1-1-1-1-1-1-1",
        },
        ["RankLimit"] = {
            ["CountNum"] = 10,
            ["Total"] = 10000,--ܰϰưťʾ
            ["Single"] = 10000,--ְϰưťʾ
        },
        ["GuideEffect"] = {
            ["Title"] = "Ren_YinDao",--Ч
        },
    },
}

local function GetDlgInfo(pro,index,key)
    return DlgInfo[pro][index][key]
end

--սװа  idUse:ǰʹսװ
 --0,     // ܰ
-- 1,     // Ӧ201
-- 2,     // Ӧ202
-- 3,     // Ӧ203
local function GetWeaponScallByRank(itype, idUse)
    local index = itype
    
    if (index == 0) then
        -- ܰϰ
        return 70
    end

    if (index == 1) then
        -- 201ϰ
        return 75
    end

    if (index == 2) then
         -- 202ϰ
        return 75
    end

    if (index == 3) then
        -- 202ϰ
        return 75
    end

    return 100
end

----------------------------------------------------------------------------------------------------------
--սװа
 --0,     // ܰ
-- 1,     // Ӧ401
-- 2,     // Ӧ402
-- 3,     // Ӧ403
local function GetArcherWeaponScallByRank(itype)
    local index = itype
    
    if (index == 0) then
        -- ܰϰ
        return 100
    end

    if (index == 1) then
        -- 401ϰ
        return 100
    end

    if (index == 2) then
         -- 402ϰ
        return 100
    end

    if (index == 3) then
        -- 403ϰ
        return 100
    end
	
	if (index == 4) then
        -- 202ϰ
        return 100
    end
	
    return 100
end

local Top3Color = {
    [PROFSORT_ARCHER] = {
        [0] = 0xffe4b95c,
        [1] = 0xff6cc3d9,
        [2] = 0xffa67c70,
    },
    [PROFSORT_SOLDIER] = {
        [0] = 0xffff0000,
        [1] = 0xff00ff00,
        [2] = 0xff0000ff,
    },
    [PROFSORT_DAOISTWATER] = {
        [0] = 0xffe4b95c,
        [1] = 0xff7ec9db,
        [2] = 0xffd4b3aa,
    },
    [PROFSORT_DAOISTFIRE] = {
        [0] = 0xffe4b95c,
        [1] = 0xff7ec9db,
        [2] = 0xffd4b3aa,
    },
}

local function GetTop3Color(pro, rank)
    return Top3Color[pro][rank]
end

local function Unload() 
    DlgInfo = nil
end

local SoldierWeaponRank = {
    GetDlgInfo = GetDlgInfo,
	GetTop3Color = GetTop3Color,
    Unload = Unload,
    GetArcherWeaponScallByRank = GetArcherWeaponScallByRank,
    GetWeaponScallByRank = GetWeaponScallByRank,
}

-- C++?????????global??????
SoldierWeaponRank_GetWeaponScallByRank = SoldierWeaponRank.GetWeaponScallByRank
SoldierWeaponRank_GetArcherWeaponScallByRank = SoldierWeaponRank.GetArcherWeaponScallByRank
SoldierWeaponRank_GetDlgInfo = SoldierWeaponRank.GetDlgInfo
SoldierWeaponRank_GetTop3Color = SoldierWeaponRank.GetTop3Color
SoldierWeaponRank_Unload = SoldierWeaponRank.Unload

return SoldierWeaponRank